require 'faraday'
require 'multi_json'

# The Weather on Mars
class MarsWeather
  URL = 'http://marsweather.ingenology.com/v1/latest/'

  # Gets the latest weather on Mars.
  #
  # Example:
  #   >> MarsWeather.latest

  def self.latest
    response = Faraday.get(URL)
    return unless response
    data = MultiJson.load(response.body, symbolize_keys: true)
    data[:report] if data
  end
end
